Package: groovy.jmx.builder

## [Java] Class JmxBuilderException

- groovy.jmx.builder.JmxBuilderException

-     public class JmxBuilderException
      extends RuntimeException

  Runtime exception used by JmxBuilder.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilderException()` Default constructor for exception.
    `JmxBuilderException(String ex)` Parameterized constructor.
    `JmxBuilderException(Throwable ex)` Parameterized constructor.
    `JmxBuilderException(String msg, Throwable ex)` Parameterized constructor.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public JmxBuilderException()

      Default constructor for exception.

    - #### public JmxBuilderException(String ex)

      Parameterized constructor.

      Parameters:
        `ex` - - exception message.

    - #### public JmxBuilderException(Throwable ex)

      Parameterized constructor.

      Parameters:
        `ex` - - exception thrown.

    - #### public JmxBuilderException(String msg, Throwable ex)

      Parameterized constructor.

      Parameters:
        `msg` - - exception message.
        `ex` - - exception thrown.